merge ( Frameworks )
Open, WishlistPublic

Description

all repos need merging with debian (preferrably after xenial is dead)

sitter created this task.Apr 26 2018, 7:58 AM
sitter triaged this task as Low priority.
sitter lowered the priority of this task from Low to Wishlist.Apr 27 2018, 10:46 AM
sitter moved this task from Backlog to Later on the KDE Neon : bionic board.

Now that bionic is out we can merge our repos with Debian again and
try to minimise the diff. Place to start would be tier 0 and tier 1
frameworks repos

Repos will need Neon/unstable branches branched into
Neon/unstable_xenial, probably just do this en mass for all
Neon/everything branches in all Frameworks. Then job_updater run to
do that

Then merge in Debian, check it for sanity, make sure old
Breaks/Replaces still exist, make sure new Breaks/Replaces are added
as needed with (<< ${source:Version}~ciBuild) as version, then peer
reviewed

Venga!

jriddell moved this task from Later to Backlog on the KDE Neon : bionic board.Oct 3 2018, 8:55 AM
scarlettclark moved this task from Backlog to Doing on the KDE Neon : bionic board.Oct 4 2018, 6:59 PM

Ok, branches created. Ran job_updater and.. no jobs. I missed a step somewhere :) Is there a config file I need to update?

Each of the branches
Neon/release
Neon/releaes-lts
Neon/stable
Neon/unstable

needs branched to make a new xenial one

Neon/release_xenial
Neon/release-lts_xenial
Neon/stable_xenial
Neon/unstable_xenial

then job-updater run

then branches made for the merge so we can peer review before pushing to the build branch

Neon/unstable -> Neon/unstable_merge
then master needs merged into Neon/unstable_merge

then ping here to ask for reviews

Oh. I totally misunderstood the original instructions. Re-working my script. Thanks.

ok did all that and not seeing jobs still. But on another note - the first one I tried I have changelog madness. How do we want to handle those?

ok did all that and not seeing jobs still. But on another note - the first one I tried I have changelog madness. How do we want to handle those?

http://manpages.ubuntu.com/manpages/bionic/man1/dpkg-mergechangelogs.1.html

Perhaps?

Quickly tested with ecm repo. Without, get changelog conflicts. With a .gitattributes and merge driver, no conflict.

don't merge the changelogs, we don't care about them, just use whatever debian has and make sure the top entry has a good version number. git merge -Xtheirs may well be what you want

bionic uses Neon/unstable while xenial uses Neon/unstable_xenial so that seems to work fine
https://build.neon.kde.org/job/bionic_unstable_kde_extra-cmake-modules/configure
https://build.neon.kde.org/job/xenial_unstable_kde_extra-cmake-modules/configure

No need for a Neon/stable_xenial branch as we don't build f

scarlettclark added a comment.EditedOct 14 2018, 11:27 AM

ECM https://packaging.neon.kde.org/kde/extra-cmake-modules.git/commit/?h=Neon/unstable_merge

I seem to have missed the git merge -X bit on the changelogs. This isn't ready yet, but if you can look at the rest for sanity I would be ever so happy.

Diff compared to master is:

-Depends: qttools5-dev-tools, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}

any reason for that?

Changelog will still need an entry at the top to make the version number the same as currently in Neon else it'll be too small

Diff compared to master is:

-Depends: qttools5-dev-tools, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}

any reason for that?

hmmm, all I did was git merge master and chose debian on the "Use me" in the changelog. I didn't fiddle with control file, not sure how...

Changelog will still need an entry at the top to make the version number the same as currently in Neon else it'll be too small

check the changelog and see if you can work out where the change came from and which we want, but I expect it's fine to go with what's in master. go ahead and merge into Neon/unstable when done.

Well it seems I made this commit. 3b22cbd ("Add qttools5-dev-tools to ECM for ECMPoQmTools.cmake", 2017-12-08)
It is not brought in by shlibs:Depends so unless something changed in ECMPlQmlTools.cmake I think it may still be needed? I think this requires more investigation.

If you added it I expect you had a good reason, just merge it into Neon/unstable_merge and merge that into Neon/unstable and build

ok.

Ready to merge, but when you say good version number... this is probably not one? or is it? extra-cmake-modules (5.50.0-1~) UNRELEASED; urgency=medium I think unstable is 5.51?

yes, you can look at Neon/unstable and see what is needs to be, looks like 5.51.0-0neon

scarlettclark added a comment.EditedOct 16 2018, 4:35 PM

pushed.
Looks like there is a que. I am starving and must eat. Will check on it when I get back.

scarlettclark added a comment.EditedOct 18 2018, 12:34 PM
This comment has been deleted.

looking good thus far
kcoreaddons - yes kill our change no longer needed
Kidletime - well Debian is right unless there's some reason not to but moving /etc conffiles between packages is bloody faffy, see man dpkg-maintscript-helper and see if you can work it out
Kjs - yes scrap that patch it's not needed
you don't need to merge in our changelog additions except the top one, e.g. kplotting doesn't need all our changelog additions except the 5.51.0 one

Go merge these and let them build, then manually check that upgrade works using a docker or virtual machine or whatever

The kirigami issue is we package kirigami1 as well as kirigami2 while I think Debian only packages kirigami2.

You could check if the rdepends of qml-module-org-kde-kirigami really still need kirigami1 or if they can be updated and the package dropped

scarlettclark added a comment.EditedOct 19 2018, 5:06 PM

So far all are failing the lintcmake test. I need help as I can't sort out what needs to be done to fix them. Help please.

We have this sorted - all unstable merges on hold till qt rollout done :)

Ok - I am seeing this enough to warrant a comment - I am seeing quite a few changelog entries for 5.51 release as xenial - I thought unstable was bionic?

The distro gets ignored by the builders, it's only the version number it uses

scarlettclark added a comment.EditedOct 20 2018, 10:38 AM
This comment has been deleted.
scarlettclark added a comment.EditedOct 20 2018, 6:50 PM
This comment has been deleted.

I still need confirmation on unstable verse testing @sitter @bshah @jriddell

scarlettclark added a comment.EditedNov 15 2018, 8:55 PM

New entry for un-merged and reason why.

TO-DO
Kirigami 1 2 what the heck??
Debian seems to package this in a repo called kirigami
We package it in kirigami2 and master is all neon commits. I am not touching this. So confusing..
REASON
The kirigami issue is we package kirigami1 as well as kirigami2 while I think Debian only packages kirigami2.
You could check if the rdepends of qml-module-org-kde-kirigami really still need kirigami1 or if they can be updated and the package dropped

Syndication -
https://packaging.neon.kde.org/kde/syndication.git/log/?h=Neon/unstable_merge

This has a diff in signing keys - this should be pushed to debian?
https://packaging.neon.kde.org/kde/syndication.git/commit/?h=Neon/unstable&id=2de11348d54275afba76daba92100c3ec2ed8fac
REASON
On hold for 5.51 release was missed in debian. Inquiry is in.

KAuth: sure merge it in and recompile the packages in reverse-build-depends libkf5auth-dev
Note the version in Breaks: libkf5auth-bin-dev (<< 5.41.0-1~) etc needs changed (add a new higher version to changelog first)

when moving /etc files bump the changelog version and add a mainscript in the style of kate's debian/kate5-data.maintscript
and test to make sure, the documentation on what to do with moving conffile seems entirely lacking

scarlettclark added a comment.EditedNov 16 2018, 1:54 PM

Starting a new thread for MERGED in order..

*Tier 1*
- extra-cmake-modules
https://packaging.neon.kde.org/kde/extra-cmake-modules.git/log/?h=Neon/unstable_merge
MERGED
https://build.neon.kde.org/job/bionic_unstable_kde_extra-cmake-modules/
NOTE:
I have a merge request to *use* neon in cmake-ignore as it is neon specific.
https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules/merge_requests/1
*Accepted*

Attica -
https://packaging.neon.kde.org/kde/attica.git/log/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_attica/

- Bluez-qt
https://packaging.neon.kde.org/kde/bluez-qt.git/log/?h=Neon/unstable_merge
MERGED - 11/16
https://build.neon.kde.org/job/bionic_unstable_kde_bluez-qt/

-Breeze-icons
https://packaging.neon.kde.org/kde/breeze-icons.git/log/?h=Neon/unstable_merge
MERGED - 11/16
https://build.neon.kde.org/job/bionic_unstable_kde_breeze-icons/

-Kapidox
https://packaging.neon.kde.org/kde/kapidox.git/log/?h=Neon/unstable_merge
MERGED - 11/16
https://build.neon.kde.org/job/bionic_unstable_kde_kapidox/

Karchive -
https://packaging.neon.kde.org/kde/karchive.git/commit/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_karchive/

Kcodecs -
https://packaging.neon.kde.org/kde/kcodecs.git/log/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kcodecs/

Kconfig -
https://packaging.neon.kde.org/kde/kconfig.git/commit/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kconfig/

kcoreaddons -
https://packaging.neon.kde.org/kde/kcoreaddons.git/commit/?h=Neon/unstable_merge
MERGED - 11/15

  • NOTE: due to new release had to use Neon refreshed patches**

https://build.neon.kde.org/job/bionic_unstable_kde_kcoreaddons/

Kdbusaddons -
https://packaging.neon.kde.org/kde/kdbusaddons.git/commit/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kdbusaddons/

Kdnssd -
https://packaging.neon.kde.org/kde/kdnssd.git/log/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kdnssd/

Kguiaddons-
https://packaging.neon.kde.org/kde/kguiaddons.git/log/?h=Neon/unstable_merge
MERGED - 11/16
https://build.neon.kde.org/job/bionic_unstable_kde_kguiaddons/

Kholidays-
https://packaging.neon.kde.org/kde/kholdays.git/log/?h=Neon/unstable_merge
MERGED - 11/16
https://build.neon.kde.org/job/bionic_unstable_kde_kholidays/

Ki18n -
https://packaging.neon.kde.org/kde/ki18n.git/commit/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_ki18n/
Notes:
did a merge request in debian for the removal of empty series file.
https://salsa.debian.org/qt-kde-team/kde/ki18n/merge_requests/1
*Accepted*

Kidletime
https://packaging.neon.kde.org/kde/kidletime.git/commit/?h=Neon/unstable_merge
MERGED - 11/29
https://build.neon.kde.org/job/bionic_unstable_kde_kidletime/
Notes:
Had a conf file move. Also still has a wrap-and-sort diff despite wrap-and-sort -bt was done.

Kirigami2
Not merged ( placeholder ) repos differ from debian * see above

Kitemmodels -
https://packaging.neon.kde.org/kde/kitemmodels.git/commit/?h=Neon/unstable_merge
MERGED 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kitemmodels/

Kitemviews -
https://packaging.neon.kde.org/kde/kitemviews.git/commit/?h=Neon/unstable_merge
MERGED 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kitemviews/

Kplotting -
https://packaging.neon.kde.org/kde/kplotting.git/commit/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kplotting/

Syntax-highlighting -
https://packaging.neon.kde.org/kde/syntax-highlighting.git/commit/?h=Neon/unstable_merge
MERGED -11/15
https://build.neon.kde.org/job/bionic_unstable_kde_syntax-highlighting/

Kuserfeedback -
Doesn't seem to exist in either debian or neon?

Kwayland -
https://packaging.neon.kde.org/kde/kwayland.git/commit/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kwayland/

Kwidgetsaddons -
https://packaging.neon.kde.org/kde/kwidgetsaddons.git/commit/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kwidgetsaddons/

Kwindowsystem -
https://packaging.neon.kde.org/kde/kwindowsystem.git/commit/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kwindowsystem/

modemmanager-qt
https://packaging.neon.kde.org/kde/modemmanager-qt.git/log/?h=Neon/unstable_merge
MERGED - 11/30
https://build.neon.kde.org/job/bionic_unstable_kde_modemmanager-qt/

networkmanager-qt
https://packaging.neon.kde.org/kde/networkmanager-qt.git/log/?h=Neon/unstable_merge
MERGED - 11/29
https://build.neon.kde.org/job/bionic_unstable_kde_networkmanager-qt/

Oxygen-icons5
https://packaging.neon.kde.org/kde/oxygen-icons5.git/log/?h=Neon/unstable_merge
MERGED - 11/16
https://build.neon.kde.org/job/bionic_unstable_kde_oxygen-icons5/

Prison -
https://packaging.neon.kde.org/kde/prison.git/commit/?h=Neon/unstable_merge
MERGED 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_prison/

Qq2-desktop-style -
https://packaging.neon.kde.org/kde/qq2-desktop-style.git/commit/?h=Neon/unstable_merge
MERGED - 11/16
https://build.neon.kde.org/job/bionic_unstable_kde_qqc2-desktop-style/

Solid -
https://packaging.neon.kde.org/kde/solid.git/commit/?h=Neon/unstable_merge
MERGED - 11/29
https://build.neon.kde.org/job/bionic_unstable_kde_solid/
Notes:
Had a conf file move.

Sonnet -
https://packaging.neon.kde.org/kde/sonnet.git/commit/?h=Neon/unstable_merge&id=f570b92f402a0e47fce459fe2829a6ec52aae182
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_sonnet/

Threadweaver -
https://packaging.neon.kde.org/kde/threadweaver.git/log/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_threadweaver/

scarlettclark added a comment.EditedNov 16 2018, 9:43 PM

*Tier 2*

Kactivities -
https://packaging.neon.kde.org/kde/kactivities.git/log/?h=Neon/unstable_merge
MERGED - 11/29
https://build.neon.kde.org/job/bionic_unstable_kde_kactivities/
Notes:
Diff is current release.

Kauth
https://packaging.neon.kde.org/kde/kauth.git/log/?h=Neon/unstable_merge
MERGED - 11/30
https://build.neon.kde.org/job/bionic_unstable_kde_kauth/
Notes:
Rebuilt rdepends - kcoreaddons, kconfigwidgets.

Kcompletion
https://packaging.neon.kde.org/kde/kcompletion.git/log/?h=Neon/unstable_merge
MERGED - 11/16
https://build.neon.kde.org/job/bionic_unstable_kde_kcompletion/

Kcrash -
https://packaging.neon.kde.org/kde/kcrash.git/log/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kcrash/

Kdoctools -
https://packaging.neon.kde.org/kde/kdoctools.git/log/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kdoctools/

Kfilemetadata -
https://packaging.neon.kde.org/kde/kfilemetadata.git/log/?h=Neon/unstable_merge
MERGED - 11/16
https://build.neon.kde.org/job/bionic_unstable_kde_kfilemetadata/

Kimageformats -
https://packaging.neon.kde.org/kde/kimageformats.git/commit/?h=Neon/unstable_merge
MERGED - 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kimageformats/

Kjobwidgets -
https://packaging.neon.kde.org/kde/kjobwidgets.git/log/?h=Neon/unstable_merge
MERGED - 11/16
https://build.neon.kde.org/job/bionic_unstable_kde_kjobwidgets/

Knotifications -
https://packaging.neon.kde.org/kde/knotifications.git/log/?h=Neon/unstable_merge
MERGED - 11/29
UPDATED - 12/10
https://build.neon.kde.org/job/bionic_unstable_kde_knotifications/
Notes:
Had a conf file move.
Switch to canberra - debian merge:
https://salsa.debian.org/qt-kde-team/kde/knotifications/merge_requests/1

Kpackage -
https://packaging.neon.kde.org/kde/kpackage.git/log/?h=Neon/unstable_merge
MERGED 12/6
https://build.neon.kde.org/job/bionic_unstable_kde_kpackage/

Kpty -
https://packaging.neon.kde.org/kde/kpty.git/log/?h=Neon/unstable_merge
MERGED - 11/16
https://build.neon.kde.org/job/bionic_unstable_kde_kpty/

Kunitconversion -
https://packaging.neon.kde.org/kde/kunitconversion.git/log/?h=Neon/unstable_merge
MERGED 11/16
https://build.neon.kde.org/job/bionic_unstable_kde_kunitconversion/

Syndication -
https://packaging.neon.kde.org/kde/syndication.git/log/?h=Neon/unstable_merge
MERGED - 12/6
https://build.neon.kde.org/job/bionic_unstable_kde_syndication/
Notes:
Debian merge request for new key.
https://salsa.debian.org/qt-kde-team/kde/syndication/merge_requests/1

scarlettclark added a comment.EditedNov 16 2018, 9:43 PM

*Tier 3*

Baloo
https://packaging.neon.kde.org/kde/baloo.git/commit/?h=Neon/unstable_merge
MERGED 11/18
https://build.neon.kde.org/job/bionic_unstable_kde_baloo/
Notes: There is still a diff - cherry picked Jonathans patch commits -
[Neon/unstable 2a04721] don't disable a fundamental part of KDE's output in neon

Kactivities-stats -
https://packaging.neon.kde.org/kde/kactivities-stats.git/commit/?h=Neon/unstable_merge
MERGED 11/18
https://build.neon.kde.org/job/bionic_unstable_kde_kactivities-stats/

Kbookmarks -
https://packaging.neon.kde.org/kde/kbookmarks.git/log/?h=Neon/unstable_merge
MERGED 11/18
https://build.neon.kde.org/job/bionic_unstable_kde_kbookmarks/

Kcmutils -
https://packaging.neon.kde.org/kde/kcmutils.git/log/?h=Neon/unstable_merge
MERGED - 11/18
https://build.neon.kde.org/job/bionic_unstable_kde_kcmutils/

Kconfigwidgets
https://packaging.neon.kde.org/kde/kcconfigwidgets.git/log/?h=Neon/unstable_merge
MERGED - 12/6
https://build.neon.kde.org/job/bionic_unstable_kde_kconfigwidgets/

Kdeclarative -
https://packaging.neon.kde.org/kde/kdeclarative.git/log/?h=Neon/unstable_merge
MERGED - 11/18
https://build.neon.kde.org/job/bionic_unstable_kde_kdeclarative/
NOTE
There is a diff with qml dep that has a merge request: Verified we are correct.
https://salsa.debian.org/qt-kde-team/kde/kdeclarative/merge_requests/1
Accepted

Kded -
https://packaging.neon.kde.org/kde/kded.git/log/?h=Neon/unstable_merge
MERGED - 11/18
https://build.neon.kde.org/job/bionic_unstable_kde_kded/
NOTE
The diff is latest release - Updated install file with full path etc file to keep consistant with debian.

Kdesignerplugin -
https://packaging.neon.kde.org/kde/kdesignerplugin.git/log/?h=Neon/unstable_merge
MERGED - 11/18
https://build.neon.kde.org/job/bionic_unstable_kde_kdesignerplugin/

Kdesu -
https://packaging.neon.kde.org/kde/kdesu.git/log/?h=Neon/unstable_merge
MERGED - 11/19
https://build.neon.kde.org/job/bionic_unstable_kde_kdesu/

Kdewebkit -
https://packaging.neon.kde.org/kde/kdewebkit.git/log/?h=Neon/unstable_merge
MERGED - 11/19
https://build.neon.kde.org/job/bionic_unstable_kde_kdewebkit/

Kemoticons -
https://packaging.neon.kde.org/kde/kemoticons.git/log/?h=Neon/unstable_merge
MERGED - 11/19
https://build.neon.kde.org/job/bionic_unstable_kde_kemoticons_src/50/

Kglobalaccel -
https://packaging.neon.kde.org/kde/kglobalaccel.git/commit/?h=Neon/unstable_merge
MERGED 11/15
https://build.neon.kde.org/job/bionic_unstable_kde_kglobalaccel/

Kiconthemes -
https://packaging.neon.kde.org/kde/kiconthemes.git/log/?h=Neon/unstable_merge
MERGED - 11/25
https://build.neon.kde.org/job/bionic_unstable_kde_kiconthemes/
NOTE
Diff with current release not in debian.

Kinit -
https://packaging.neon.kde.org/kde/kinit.git/log/?h=Neon/unstable_merge
MERGED - 11/26
https://build.neon.kde.org/job/bionic_unstable_kde_kinit/
NOTE:
setcap.yaml diff - needed by our CI for setcap.

Kio -
https://packaging.neon.kde.org/kde/kio.git/log/?h=Neon/unstable_merge
MERGED - 11/26
UPDATED - 11/29
https://build.neon.kde.org/job/bionic_unstable_kde_kio/
NOTE:
Diff is current release changes. Had to add maintscript to move /etc/xdg/kio.categories to debian location. wrap-and-sort merge request:
https://salsa.debian.org/qt-kde-team/kde/kio/merge_requests/1
Denied ^ we need to start using wrap-and-sort -bt to be consistant with debian.

Knewstuff -
https://packaging.neon.kde.org/kde/knewstuff.git/log/?h=Neon/unstable_merge
MERGED - 12/6
https://build.neon.kde.org/job/bionic_unstable_kde_knewstuff/

Knotifyconfig -
https://packaging.neon.kde.org/kde/knotifyconfig.git/log/?h=Neon/unstable_merge
MERGED - 11/26
https://build.neon.kde.org/job/bionic_unstable_kde_knotifyconfig/

Kparts -
https://packaging.neon.kde.org/kde/kparts.git/log/?h=Neon/unstable_merge
MERGED - 11/27
https://build.neon.kde.org/job/bionic_unstable_kde_kparts/

Kpeople -
https://packaging.neon.kde.org/kde/kpeople.git/log/?h=Neon/unstable_merge
MERGED - 11/29
https://build.neon.kde.org/job/bionic_unstable_kde_kpeople/
Notes:
Had a conf file move.

Krunner -
https://packaging.neon.kde.org/kde/krunner.git/log/?h=Neon/unstable_merge
MERGED - 11/28
https://build.neon.kde.org/job/bionic_unstable_kde_krunner/

Kservice -
https://packaging.neon.kde.org/kde/kservice.git/log/?h=Neon/unstable_merge
MERGED - 11/28
https://build.neon.kde.org/job/bionic_unstable_kde_kservice/

Ktexteditor -
https://packaging.neon.kde.org/kde/ktexteditor.git/log/?h=Neon/unstable_merge
MERGED - 11/28
UPDATED - 11/29
https://build.neon.kde.org/job/bionic_unstable_kde_ktexteditor/
NOTE
Diff in breaks/replace ( cibuild )

Ktextwidgets -
https://packaging.neon.kde.org/kde/ktextwidgets.git/log/?h=Neon/unstable_merge
MERGED - 11/29
https://build.neon.kde.org/job/bionic_unstable_kde_ktextwidgets/

Kwallet -
https://packaging.neon.kde.org/kde/kwallet.git/log/?h=Neon/unstable_merge
MERGED - 11/29
https://build.neon.kde.org/job/bionic_unstable_kde_kwallet/

Kxmlgui -
https://packaging.neon.kde.org/kde/kxmlgui.git/log/?h=Neon/unstable_merge
MERGED - 11/29
https://build.neon.kde.org/job/bionic_unstable_kde_kxmlgui/
Notes:
etc/ categories file move.

Kxmlrpcclient -
https://packaging.neon.kde.org/kde/kxmlrpcclient.git/log/?h=Neon/unstable_merge
MERGED - 11/29
https://build.neon.kde.org/job/bionic_unstable_kde_kxmlrpcclient/

Plasma-framework -
https://packaging.neon.kde.org/kde/plasma-framework.git/commit/?h=Neon/unstable_merge
MERGED 12/6
https://build.neon.kde.org/job/bionic_unstable_kde_plasma-framework/

Purpose -
https://packaging.neon.kde.org/kde/purpose.git/commit/?h=Neon/unstable_merge
MERGED - 11/29
https://build.neon.kde.org/job/bionic_unstable_kde_purpose/
Notes:
Had a conf file move.
Remaining delta:
Added back qml-module-ubuntu-onlineaccounts, as we are an ubuntu base.
Fixed missing bluezqt qml dep. Debian merge request in for change.
https://salsa.debian.org/qt-kde-team/kde/purpose/merge_requests/1
*Accepted*

scarlettclark added a comment.EditedNov 27 2018, 1:41 PM

when moving /etc files bump the changelog version and add a mainscript in the style of kate's debian/kate5-data.maintscript
and test to make sure, the documentation on what to do with moving conffile seems entirely lacking

Ok, so I had to do this for kio. However I am still getting overwrite error in testing. I bumped the changleog 5.52.0-1neon but that seems to not have affect. It seem wrong to bump upstream version - or is it? Or do I need the breaks/replace also?

Further notes:
If I do an additional apt update - apt upgrade kio installs fine on second round.... strange!

RESOLVED

New entry for un-merged and reason why.

TO-DO
Kirigami 1 2 what the heck??
Debian seems to package this in a repo called kirigami
We package it in kirigami2 and master is all neon commits. I am not touching this. So confusing..
REASON
The kirigami issue is we package kirigami1 as well as kirigami2 while I think Debian only packages kirigami2.
You could check if the rdepends of qml-module-org-kde-kirigami really still need kirigami1 or if they can be updated and the package dropped

Still has depends -
peruse
kube
plasma-sdk
plasma-sdk

I wonder if I merge these - should resolve the issue?

I wonder if I merge these - should resolve the issue?

peruse in neon only uses kirigami2
plasma-sdk only uses kirigami2 ?
kube doesn't seem to use any kirigami (from a grep of source) so try just removing it there

so I think that means we can kill off kirigami1 packaging and merge in debian's one

New entry for un-merged and reason why.

TO-DO
Kirigami 1 2 what the heck??
Debian seems to package this in a repo called kirigami
We package it in kirigami2 and master is all neon commits. I am not touching this. So confusing..
REASON
The kirigami issue is we package kirigami1 as well as kirigami2 while I think Debian only packages kirigami2.
You could check if the rdepends of qml-module-org-kde-kirigami really still need kirigami1 or if they can be updated and the package dropped

Syndication -
https://packaging.neon.kde.org/kde/syndication.git/log/?h=Neon/unstable_merge

This has a diff in signing keys - this should be pushed to debian?
https://packaging.neon.kde.org/kde/syndication.git/commit/?h=Neon/unstable&id=2de11348d54275afba76daba92100c3ec2ed8fac
REASON
On hold for 5.51 release was missed in debian. Inquiry is in.

Kconfigwidgets -
https://packaging.neon.kde.org/kde/kconfigwidgets.git/log/?h=Neon/unstable_merge

Incidently this has both a .manpages and the manpages are in the -data package - I think debian needs fixing here.
diff --git a/debian/libkf5configwidgets-data.install b/debian/libkf5configwidgets-data.install
index 64d9b94..1f22720 100644

This ^

New entry for un-merged NEED assistance

Kpackage
diff --git a/debian/control b/debian/control
index 8a7a919..6d55fd3 100644

  • a/debian/control +++ b/debian/control @@ -25,6 +25,7 @@ Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpackage.git Package: kpackagetool5 Section: kde Architecture: any +Multi-Arch: foreign Depends: ${misc:Depends}, ${shlibs:Depends} Breaks: kpackagelauncherqml (<< 5.51), libkf5declarative5 (<< 5.51),

    I was going to merge request this upstream. But it seems wrong? that is a binary package - I thought foreign was things like docs that are platform independent. @bshah made the commit. I need backup if I am to upstream this.

Knewstuff
There is a diff in rules where we have a fix perms: @jriddell
87cab9b ("dont remove executable on script", 2017-11-09)
+
+override_dh_fixperms:
+ $(overridden_command) -X_update_all_files.sh
Is this something that can be merged into debian? If so I need the "why"

THis ^

I wonder if I merge these - should resolve the issue?

peruse in neon only uses kirigami2
plasma-sdk only uses kirigami2 ?
kube doesn't seem to use any kirigami (from a grep of source) so try just removing it there

so I think that means we can kill off kirigami1 packaging and merge in debian's one

so essentially I need to merge our kirigami2 into kirigami ( Neon branches ) - then merge master and then we dump the kirigami2 and kirigami1 and left with only kirigami - I think we need to update jobs to point to kde/kirigami? no trailing 1 or 2.

so essentially I need to merge our kirigami2 into kirigami ( Neon branches ) - then merge master and then we dump the kirigami2 and kirigami1 and left with only kirigami - I think we need to update jobs to point to kde/kirigami? no trailing 1 or 2.

I think just use Debian's kirigami packaging and work out if any breaks/replaces are needed from it and if any packaging using it need any deps updated
and yes new jobs will be needed and old ones killed off

Syndication is now part of KDE Frameworks so it should have the same signing key as the other frameworks. Push that to Debian if that's not the case there.

Kconfigwidgets merge in what Debian has and fix in debian?
plasma-framework work out if not having mesa-common-dev as a build dep has any differences
knewstuff: remove that rule the file isn't installed any more

scarlettclark renamed this task from merge to merge ( Frameworks ).Dec 6 2018, 5:07 PM
sitter edited projects, added Neon; removed KDE Neon : bionic.Feb 12 2019, 1:48 PM
sitter moved this task from Backlog to Doing on the Neon board.